/*
 * File:  flatten.h
 * Author:  mikolas
 * Created on:  09 Apr 2017 15:46:27
 * Copyright (C) 2017, Mikolas Janota
 */
#ifndef FLATTEN_H_16738
#define FLATTEN_H_16738
#include "aig.h"
#include "rareqs_types.h"
#include "qtypes.h"
class Flatten {
    public:
         Flatten(AigFactory& factory,
                 QuantifierType qt,
                 std::vector<Var> free,
                 const MultiGame& mg
                 ) : factory(factory), mg(mg) {}
         virtual ~Flatten() {}
         void operator() (QAigFla& f);
    protected:
         AigFactory& factory;
         QuantifierType qt;
         std::vector<Var> free;
         const MultiGame& mg;
};
#endif /* FLATTEN_H_16738 */
